Программный комплекс «Центр здоровья»

Пожалуйста, войдите или зарегистрируйтесь.

Расширенный поиск  

Новости:

Для осуществления выгрузки данных на федеральный информационный ресурс в соответствии с письмом МЗ РФ 244/10/2/-8914 от 26.11.2014 обновление для ФК "ЦЗ" опубликовано по следующему адресу: http://hc-forum.mednet.ru/index.php?topic=1425.0

Автор Тема: Обновление ФК «Учет пациентов ЦЗ» до версии 3.5, 3.5 SP 1  (Прочитано 114237 раз)

KOB

  • Newbie
  • *
  • Карма: +0/-0
  • Сообщений: 8
    • Программный комплекс «Центр Здоровья»

Уточните пожалуйста, какая версия ФК "ЦЗ" у Вас? Какое обновление пытаетесь осуществить? Перешли на SQL Server 2008 R2 ?
ФК ЦЗ 3.22
Пытаюсь обновить до 3.5
SQL 2008 R2 Express обновил до SP1 предварительно.
Записан

Служба поддержки

  • Global Moderator
  • Hero Member
  • *****
  • Карма: +36/-3
  • Сообщений: 2170

Прикрепите содержимое каталога log к ответу (C:\oms\FK_HC\log\)

KOB

  • Newbie
  • *
  • Карма: +0/-0
  • Сообщений: 8
    • Программный комплекс «Центр Здоровья»

Прикрепите содержимое каталога log к ответу (C:\oms\FK_HC\log\)
Все откатил обратно, соответственно лог перезаписался, вечером проделаю еще раз попытку обновления и прикреплю лог.
Записан

game_Racer

  • Newbie
  • *
  • Карма: +0/-0
  • Сообщений: 34

Уточните пожалуйста, какая версия у Вас MS EXcel ?
Также прикрепите содержимое каталога log
MS Excel 2010. Также выяснил, что ошибка возникает только при формировании стандартного отчета (Обращения->Операции->Стандартный отчет). Другие отчеты формируются в Excel 2010нормально. Прикрепляю log.
Записан

Служба поддержки

  • Global Moderator
  • Hero Member
  • *****
  • Карма: +36/-3
  • Сообщений: 2170

Какая проблема? Много авторов в теме с сообщениями, много сообщении, давно не отвечали. Напомните вопрос.

game_Racer

  • Newbie
  • *
  • Карма: +0/-0
  • Сообщений: 34

При попытке получить отчет, Получаю ошибку:
Цитировать
Ошибка инициализации механизма отчетов.
Не удалось выполнить инициализацию приложения Microsoft Excel.
Возможно данное приложение не установлено на вашем компьютере.
Ms Excel установлен, ошибки инициализации механизма отчетов при запуске программы нет.
Записан

Служба поддержки

  • Global Moderator
  • Hero Member
  • *****
  • Карма: +36/-3
  • Сообщений: 2170

Какая версия Excel? Попробуйте переустановить его или установить более высокую версию. На других машинах аналогичная проблема?

game_Racer

  • Newbie
  • *
  • Карма: +0/-0
  • Сообщений: 34

Excel 2010. Проблема только на одном компьютере. Переустановить пробовал.
Записан

Служба поддержки

  • Global Moderator
  • Hero Member
  • *****
  • Карма: +36/-3
  • Сообщений: 2170

Попробуйте скопировать каталог с программой с другой работающей машины, и с нового каталога запустить приложение, попробовать сформировать отчет. Если снова не будет, значит чтото в системе. Формируйте отчеты с других машин.

UfaDP5

  • Newbie
  • *
  • Карма: +0/-0
  • Сообщений: 16

Неожиданно программа откатилась до версии 3,22 и стала недоступна наработанная база данных. Причем произошло это на нескольких компьютерах. Пытаемся обновить,не обновляется-выдает сообщение,что обновления уже загружены. Пробовали делать переустановку,программа нормально устанавливается 3,5 SP1,но базу не видит.При попытке подменить базу,на сохраненную ранее,тут же слетает к версии 3,22.
Какие могут варианты?
Спасибо!
Записан

Служба поддержки

  • Global Moderator
  • Hero Member
  • *****
  • Карма: +36/-3
  • Сообщений: 2170

Еще раз подробнее.
Скорее всего настройка с версией откатилась
Зайдите в пункт меню о программе - сделайте скриншот  - какие версии тематик базы данных.
Версии длл.

UfaDP5

  • Newbie
  • *
  • Карма: +0/-0
  • Сообщений: 16

Скриншот закладки База данных:


Данные из закладки Сборки:
XmlFormValidator            |5.2.0.1575 |нет данных
WeifenLuo.WinFormsUI.Docking|5.2.0.1575 |нет данных
v414gdnb                    |5.2.0.1575 |runtime   
TSPlugin                    |5.2.0.1575 |нет данных
System.Xml                  |4.0.0.0    |GAC       
System.Windows.Forms        |4.0.0.0    |GAC       
System.Transactions         |4.0.0.0    |GAC       
System.Numerics             |4.0.0.0    |GAC       
System.EnterpriseServices   |4.0.0.0    |GAC       
System.Drawing              |4.0.0.0    |GAC       
System.Design               |4.0.0.0    |GAC       
System.Data                 |4.0.0.0    |GAC       
System.Core                 |4.0.0.0    |GAC       
System.Configuration.Install|4.0.0.0    |GAC       
System.Configuration        |4.0.0.0    |GAC       
System                      |4.0.0.0    |GAC       
StartUpScreen               |3.5.0.687  |нет данных
SansaraGUI                  |5.2.0.1575 |нет данных
SansaraDataGrid             |5.2.0.1575 |нет данных
ReportsPlugin               |5.2.0.1575 |нет данных
OPTime                      |3.5.222.687|нет данных
nudq5ki0                    |5.2.0.1575 |runtime   
NetSerialScanerPlugin       |5.2.0.1575 |нет данных
NetComSerial                |5.2.0.1575 |нет данных
Nessy                       |5.2.0.1575 |нет данных
mscorlib                    |4.0.0.0    |GAC       
Microsoft.Data.SqlXml       |10.0.0.0   |GAC       
MalibuSrv                   |5.2.20.1575|нет данных
malibuOperative             |5.2.0.1575 |нет данных
MalibuDTS                   |5.2.20.1575|нет данных
KLADR                       |5.2.2.1575 |нет данных
HCGUI                       |3.5.0.687  |нет данных
HCCOM                       |3.5.0.687  |нет данных
GenTools                    |5.2.0.1575 |нет данных
FiscalPlugin                |5.2.0.1575 |нет данных
DocViewFormPlugin           |5.2.0.1575 |нет данных
DDOMS                       |3.5.206.687|нет данных
DDHLT                       |3.5.256.687|нет данных
DDGUI                       |3.5.222.687|нет данных
cujakp04                    |4.0.0.0    |runtime   
ARMStaffHC                  |3.5.0.687  |нет данных
ARMServMedStatHC            |3.5.0.687  |нет данных
ARMRegistry                 |3.5.0.687  |нет данных
AddoHtm                     |5.2.0.1575 |нет данных
Accessibility               |4.0.0.0    |GAC       
ARMHealthSchool             |3.5.0.687  |нет данных

Данные закладки Плагины:
HCGUI.dll                |HlsPlugin           
KLADR.dll                |InitKladrPlugin     
StartUpScreen.dll        |StartUpPlugin       
OPTime.dll               |OperationTime       
OPTime.dll               |DBShrinkerPlugin   
OPTime.dll               |DDDocObjSetFactory 
NetSerialScanerPlugin.dll|NetScanerPlugin     
FiscalPlugin.dll         |FiscalPlugin       
XmlFormValidator.dll     |XmlValidationPlugin
TSPlugin.dll             |TSPlugin           
TSPlugin.dll             |HostStatisticPlugin
ReportsPlugin.dll        |ReportsPlugin       
ReportsPlugin.dll        |ReportsDiagnostic   
MalibuSrv.dll            |FormSettingsPlugin 
MalibuDTS.dll            |DTSProvider         
DocViewFormPlugin.dll    |MainForm           
DocViewFormPlugin.dll    |SansaraHook         
DocViewFormPlugin.dll    |DatabaseСonfigPlugin
DocViewFormPlugin.dll    |WindowsManager     
Nessy.exe                |NessyPlugin         
Записан

Служба поддержки

  • Global Moderator
  • Hero Member
  • *****
  • Карма: +36/-3
  • Сообщений: 2170

Вам необходимо провести серверное обновление 3.5, затем серверное обновление 3.5 SP1.
В первую очередь попробуйте очистить историю проведения обновлении: http://hc-forum.mednet.ru/index.php?topic=470.0 пункт №5.
Далее попробуйте провести обновления согласно инструкциям из раздела дистрибутивов.
Или же Вы восстановили архив старой версии базы данных и перезатёрли обновленную версию. По Вашим сведениям видно, что БД действительно ниже 3.5.
В 3.5 DDHLT поднимается до 256 версии, в 3.5 SP1 Кладр поднимается до 2 версии. Каталог с программой же обновление 687 сборка - это 3.5 SP1.

UfaDP5

  • Newbie
  • *
  • Карма: +0/-0
  • Сообщений: 16

Вам необходимо провести серверное обновление 3.5, затем серверное обновление 3.5 SP1.
Мы удаляли серверную часть и устанавливали ее заново,последовательно обновляя в итоге до версии 3.5 SP1.

Цитировать
Или же Вы восстановили архив старой версии базы данных и перезатёрли обновленную версию. По Вашим сведениям видно, что БД действительно ниже 3.5.
В 3.5 DDHLT поднимается до 256 версии, в 3.5 SP1 Кладр поднимается до 2 версии. Каталог с программой же обновление 687 сборка - это 3.5 SP1.
После полной переустановки программы мы подменили базу,на сохранненую,с которой благополучно работали в версии 3.5 SP1 несколько месяцев.

Накануне возникновения данной проблемы мы делали продление тарифов до конца года.Программа успешно работала дня 3 и возникла описанная выше проблема.
Записан

Служба поддержки

  • Global Moderator
  • Hero Member
  • *****
  • Карма: +36/-3
  • Сообщений: 2170

Непонятно, но информация говорит сама за себя, у вас версия ниже 3.5.
Или же работали в приложении но база была старая, недообновленная....
 

Страница сгенерирована за 0.163 секунд. Запросов: 14.